Aprepro 5.0x

Public Member Functions | Public Attributes | List of all members
SEAMS::symrec::value Struct Reference

`#include <aprepro.h>`

Collaboration diagram for SEAMS::symrec::value:
[legend]

## Public Member Functions
| value ()=default

## Public Attributes
double | var {0}
double(* | fnctptr )()
double(* | fnctptr_d )(double)
double(* | fnctptr_c )(char *)
double(* | fnctptr_dc )(double, char *)
double(* | fnctptr_cd )(char *, double)
double(* | fnctptr_cc )(char *, char *)
double(* | fnctptr_dd )(double, double)
double(* | fnctptr_ddd )(double, double, double)
double(* | fnctptr_ccc )(char *, char *, char *)
double(* | fnctptr_ccd )(char *, char *, double)
double(* | fnctptr_dddd )(double, double, double, double)
double(* | fnctptr_ddddc )(double, double, double, double, char *)
double(* | fnctptr_dddddd )(double, double, double, double, double, double)
double(* | fnctptr_a )(const array *)
std::string | svar
const char *(* | strfnct )()
const char *(* | strfnct_c )(char *)
const char *(* | strfnct_d )(double)
const char *(* | strfnct_a )(const array *)
const char *(* | strfnct_dd )(double, double)
const char *(* | strfnct_cc )(char *, char *)
const char *(* | strfnct_ccc )(char *, char *, char *)
const char *(* | strfnct_dcc )(double, char *, char *)
const char *(* | strfnct_dcccc )(double, char *, char *, char *, char *)
array * | avar {nullptr}
array *(* | arrfnct_c )(const char *)
array *(* | arrfnct_cc )(const char *, const char *)
array *(* | arrfnct_cd )(const char *, double)
array *(* | arrfnct_ddd )(double, double, double)
array *(* | arrfnct_dd )(double, double)
array *(* | arrfnct_d )(double)
array *(* | arrfnct_a )(const array *)

## Constructor & Destructor Documentation

## ◆ value()

SEAMS::symrec::value::value | ( |  | ) |
| default

## Member Data Documentation

## ◆ arrfnct_a

array*(* SEAMS::symrec::value::arrfnct_a) (const array *)
| inline

## ◆ arrfnct_c

array*(* SEAMS::symrec::value::arrfnct_c) (const char *)
| inline

## ◆ arrfnct_cc

array*(* SEAMS::symrec::value::arrfnct_cc) (const char *, const char *)
| inline

## ◆ arrfnct_cd

array*(* SEAMS::symrec::value::arrfnct_cd) (const char *, double)
| inline

## ◆ arrfnct_d

array*(* SEAMS::symrec::value::arrfnct_d) (double)
| inline

## ◆ arrfnct_dd

array*(* SEAMS::symrec::value::arrfnct_dd) (double, double)
| inline

## ◆ arrfnct_ddd

array*(* SEAMS::symrec::value::arrfnct_ddd) (double, double, double)
| inline

## ◆ avar

array* SEAMS::symrec::value::avar {nullptr}

## ◆ fnctptr

double(* SEAMS::symrec::value::fnctptr) ()
| inline

## ◆ fnctptr_a

double(* SEAMS::symrec::value::fnctptr_a) (const array *)
| inline

## ◆ fnctptr_c

double(* SEAMS::symrec::value::fnctptr_c) (char *)
| inline

## ◆ fnctptr_cc

double(* SEAMS::symrec::value::fnctptr_cc) (char *, char *)
| inline

## ◆ fnctptr_ccc

double(* SEAMS::symrec::value::fnctptr_ccc) (char *, char *, char *)
| inline

## ◆ fnctptr_ccd

double(* SEAMS::symrec::value::fnctptr_ccd) (char *, char *, double)
| inline

## ◆ fnctptr_cd

double(* SEAMS::symrec::value::fnctptr_cd) (char *, double)
| inline

## ◆ fnctptr_d

double(* SEAMS::symrec::value::fnctptr_d) (double)
| inline

## ◆ fnctptr_dc

double(* SEAMS::symrec::value::fnctptr_dc) (double, char *)
| inline

## ◆ fnctptr_dd

double(* SEAMS::symrec::value::fnctptr_dd) (double, double)
| inline

## ◆ fnctptr_ddd

double(* SEAMS::symrec::value::fnctptr_ddd) (double, double, double)
| inline

## ◆ fnctptr_dddd

double(* SEAMS::symrec::value::fnctptr_dddd) (double, double, double, double)
| inline

## ◆ fnctptr_ddddc

double(* SEAMS::symrec::value::fnctptr_ddddc) (double, double, double, double, char *)
| inline

## ◆ fnctptr_dddddd

double(* SEAMS::symrec::value::fnctptr_dddddd) (double, double, double, double, double, double)
| inline

## ◆ strfnct

const char*(* SEAMS::symrec::value::strfnct) ()
| inline

## ◆ strfnct_a

const char*(* SEAMS::symrec::value::strfnct_a) (const array *)
| inline

## ◆ strfnct_c

const char*(* SEAMS::symrec::value::strfnct_c) (char *)
| inline

## ◆ strfnct_cc

const char*(* SEAMS::symrec::value::strfnct_cc) (char *, char *)
| inline

## ◆ strfnct_ccc

const char*(* SEAMS::symrec::value::strfnct_ccc) (char *, char *, char *)
| inline

## ◆ strfnct_d

const char*(* SEAMS::symrec::value::strfnct_d) (double)
| inline

## ◆ strfnct_dcc

const char*(* SEAMS::symrec::value::strfnct_dcc) (double, char *, char *)
| inline

## ◆ strfnct_dcccc

const char*(* SEAMS::symrec::value::strfnct_dcccc) (double, char *, char *, char *, char *)
| inline

## ◆ strfnct_dd

const char*(* SEAMS::symrec::value::strfnct_dd) (double, double)
| inline

## ◆ svar

std::string SEAMS::symrec::value::svar

## ◆ var

double SEAMS::symrec::value::var {0}

The documentation for this struct was generated from the following file:

- aprepro.h